typedef struct tagGROUPHEADER
{
   char  cIdnetifier[4];         // must be "PMCC"
   WORD  wCheckSum;              // checksum (ignore)
   WORD  cbGroup;                // size of group file in byte
   WORD  nCmdShow;               // showwindow (ignore)
   RECT  rcNormal;               // ignore
   POINT ptMin;                  // ignore
   WORD  pName;                  // offset from bof to name of group
   WORD  wLogPixelsX;            // ignore
   WORD  wLogPixelsY;            // ignore
   WORD  wBitsPerPixel;          // ignore
   WORD  wPlanes;                // ignore
   WORD  cItems;                 // number of ITEMDATAs
     
   // heres an array of offsets into the real itemdata
   // itemdata that is invalid has an offset of 0
        
}  GROUPHEADER;

typedef struct tagITEMDATA
{           
   POINT pt;         // ignore
   WORD  iIcon;      // icon number for this app
   WORD  cbResource; // ignore
   WORD  cb1;        // ignore
   WORD  cb2;        // ignore
   WORD  pHeader;    // ignore
   WORD  pAnd;       // ignore
   WORD  pXOR;       // ignore
   WORD  pName;      // offset to item name
   WORD  pCommand;   // offset to item exe
   WORD  pIconPath;  // offset to item icon resource   
   
}  ITEMDATA;

class ProgramMgrItem : public CObject
{  
private:
//   ITEMDATA m_itemData;
   CString  m_strName;
   CString  m_strPath;
   
public:
   ProgramMgrItem( CFile& rSrc, WORD offSet );
   const char * Name() const;      
   const char * Path() const;
}; 

class ProgramMgrGroup : public CObList
{   
//   GROUPHEADER m_gh;
   CString     m_strName;
   
public:
   ProgramMgrGroup( const char * pszFileName );
   ~ProgramMgrGroup();
   
   const char * Name() const;
   
   // avoid casts in usage  
   ProgramMgrItem*& GetNext( POSITION& rPos )
   {
      return (ProgramMgrItem*&) CObList::GetNext(rPos);
   }
      
   ProgramMgrItem* GetNext( POSITION& rPos ) const
   {
      return (ProgramMgrItem*) CObList::GetNext(rPos);
   }
};

